package info.devzero.jerry.plugins.bukkit.netherblocks;

import java.io.File;
import java.util.logging.Logger;

import org.bukkit.event.Event.Priority;
import org.bukkit.event.Event;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.plugin.PluginManager;

/*
 * NetherBlocks - a Bukkit plugin that allows users to get Nether blocks using gold tools
 * Copyright (C) 2011 Jerry <j3rry1337@gmail.com>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

/**
 * NetherBlocks - make certain blocks drop items from the Nether
 *
 * @author Jerry <j3rry1337@gmail.com>
 */
public class NetherBlocks extends JavaPlugin {
    private final NetherBlocksBlockListener blockListener = new NetherBlocksBlockListener(this);
    private final Logger log = Logger.getLogger("Minecraft");

    public void onDisable() {
        System.out.println(getDescription().getName() + " version " + getDescription().getVersion() + " disabled.");
    }

    public void onEnable() {
    	// Check for configuration file
    	File config = new File(getDataFolder(), "config.yml");
    	if (!config.exists()) {
    		log.info(getDescription().getName() + " configuration file not found. Using default settings.");
    	}
    	
        // Register events
        PluginManager pm = getServer().getPluginManager();
        pm.registerEvent(Event.Type.BLOCK_DAMAGED, blockListener, Priority.Normal, this);

        // Yes, we've been loaded!
        System.out.println(getDescription().getName() + " version " + getDescription().getVersion() + " enabled.");
    }
}